.ProjectItem {
    position: relative;
    display: flex;
    flex: 0 0 calc(50% - 2rem);
    max-width: calc(50% - 2rem);    
    flex-direction: column;
    align-items: center;
    border-radius: 1.5rem;
    margin: 1rem;
    overflow: hidden;
    box-shadow: 2px 4px 12px rgb(0 0 0 / 8%);
    cursor: pointer;
    color: inherit;

    @media screen and (max-width: 1000px) {
        flex: 0 0 calc(100% - 2rem);
        max-width: calc(100% - 2rem);
    }
    
    @media screen and (min-width: 1760px) {
        flex: 0 0 calc(33% - 2rem);
        max-width: calc(33% - 2rem);
    }
    &:hover {
        transform: scale(1.02);
    }
    &:hover &__tags, &:hover &__description {
        opacity: 1;
    }
    &:hover &__description, &:hover &__title {
        color: white;
    }
    & > * {
        z-index: 2;
    }

    &__title {
        position: absolute;
        top: 0rem;
        left: 3rem;
        font-size: 3rem;
        color: $dark-bg;
        z-index: 20;
        @media screen and (max-width: 640px) {
            font-size: 1.9rem
        }
    }
    &__description {
        position: absolute;
        top: 6rem;
        left: 3rem;
        color: $dark-bg;
        text-decoration: none;
        font-size: 1.7rem;
        letter-spacing: 2px;
        z-index: 20;
        opacity: 0;
        @media screen and (max-width: 640px) {
            font-size: 1.3rem
        }
    }
    &__tags {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(to bottom, rgba(29, 29, 29, 0.6), rgba(29, 29, 29, 0.7));
        color: white;
        padding: 1rem;
        display: flex;
        align-items: flex-end;
        align-self: center;
        justify-content: flex-end;
        z-index: 19;
        opacity: 0;
        transition: all 0.3s cubic-bezier(0, 0, 0.5, 1) !important;

        & > span {
            margin-right: 1rem;
            font-size: 1.2rem;
            // color: #707070;
            @media screen and (max-width: 640px) {
                font-size: 1rem;
            }
        }
       
        &__tag {
            margin-right: 1rem;
            font-size: 1.5rem;
            border-radius: 500px;
            transition: all .5s; 
            background-color: #e3e3e3;
            color: $blueprint;
            padding: 5px 12px;
            border-radius: 8px;
            @media screen and (max-width: 640px) {
                font-size: 1.2rem;
            }           
        }
    }

    
    &__button {
        position: absolute;
        top: 2rem;
        right: 2rem;
        border-radius: 500rem;
        padding: .6rem 1.7rem;
        border: none;
        background-color: transparent;
        color: white;
        animation: halo 2s infinite;
        transition: all 1s cubic-bezier(0.075, 0.82, 0.165, 1);
        cursor: pointer;
        @media screen and (max-width: 640px) {
            top: 1rem;
            right: 1rem;
            font-size: 1.6rem;
        }
        &:hover {
            color: $blueprint;
            background-color: transparent;
        }
        text-decoration: none;
        color: inherit;
        font-size: 2.5rem;
        font-weight: 400;
        @media screen and (max-width: 640px) {
         
        }
    }
    
    &__img {
        position: relative;
        width: auto;
        z-index: 2;
        width: 100%;
        height: max-content;
        object-fit: cover;
        border-radius: 1.5rem;
        // @media screen and (max-width: 640px) {
        //     height: 200px;    
        // }
        // @media screen and (min-width: 1600px) {
        //     height: 600px;
        // }
    }
}
